summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/install.sh b/install.sh
index 200ee36..94a02f3 100644
--- a/install.sh
+++ b/install.sh
@@ -1,5 +1,15 @@
#!/bin/sh
+DEPENDENCIES="podman podman-compose yq envsubst bash"
+for dep in ${DEPENDENCIES}
+do
+ if [ -z "$(which ${dep} 2>/dev/null)" ]
+ then
+ echo "Cannot install: missing required dependency ${dep}. Install ${dep}, then try again."
+ exit 1
+ fi
+done
+
set -e
doas adduser -h /home/joeac.net joeac.net